
Foreman - Refactor #37102

Update to webpack 5

01/25/2024 01:20 PM - Maria Agaphontzev

Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9834,

https://github.com/theforeman/foreman/p

ull/10018,

https://github.com/theforeman/foreman/p

ull/10019,

https://github.com/theforeman/foreman/p

ull/10021,

https://github.com/theforeman/foreman/p

ull/10024,

https://github.com/theforeman/foreman/p

ull/10025,

https://github.com/theforeman/foreman/p

ull/10045

  

Description

Related issues:

Related to Katello - Refactor #37104: update katello to support webpack5 Closed

Related to Foreman - Bug #37344: Webpack assets not compressed after Webpack ... Closed

Related to Foreman - Bug #37353: always use cached manifest json to find webp... Closed

Associated revisions

Revision 89c61045 - 01/26/2024 10:44 AM - Maria Agaphontzev

Fixes #37102 - webpack 5

Revision af198b45 - 01/29/2024 01:32 PM - Evgeni Golov

Refs #37102 - don't alias @theforeman/vendor

Revision 441db4c9 - 01/29/2024 01:32 PM - Evgeni Golov

Refs #37102 - don't prefix vendor imports with node_modules

Revision 6243680d - 01/29/2024 02:42 PM - Evgeni Golov

Refs #37102 - explicitly depend on buffer

we use it in react_app/common/globalIdHelpers.js

so we should explicitly depend on it

Revision 84f33a33 - 01/29/2024 03:24 PM - Evgeni Golov

Refs #37102 - add back generic node_modules resolve path

Revision b595a97f - 01/29/2024 04:01 PM - Maria Agaphontzev

Refs #37102 - filter out webpack host argument

05/09/2024 1/2



Revision cf47b3c9 - 01/30/2024 01:16 PM - Evgeni Golov

Refs #37102 - detect plugins webpack by looking for remoteEntry.js

Since we switched to Webpack 5, there are no more manifest.json in the

plugins webpack folder, but we need some token to detect that we gotta

load webpack stuff.

Revision d62da160 - 02/14/2024 06:35 AM - Ewoud Kohl van Wijngaarden

Refs #37102 - Read real webpack manifest in test

In some test cases (like controller tests) the real manifest isn't

needed, but in integration tests they are.

Rails has deprecated controller tests in favor of integration tests, but

Foreman still has them. This modifies the fake read_webpack_manifest to

read the manifest if available, otherwise pretend it's there.

History

#1 - 01/25/2024 01:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9834 added

#2 - 01/25/2024 01:30 PM - Maria Agaphontzev

- Related to Refactor #37104: update katello to support webpack5 added

#3 - 01/26/2024 10:44 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 01/26/2024 11:00 AM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|89c610451c9ea22eb426826e405518e04d68972f.

#5 - 01/29/2024 07:18 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10018 added

#6 - 01/29/2024 01:06 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10019 added

#7 - 01/29/2024 01:58 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10021 added

#8 - 01/29/2024 03:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10024 added

#9 - 01/30/2024 08:14 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10025 added

#10 - 02/13/2024 03:30 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10045 added

#11 - 04/11/2024 09:02 AM - Evgeni Golov

- Related to Bug #37344: Webpack assets not compressed after Webpack 5 migration added

#12 - 04/15/2024 10:41 AM - Evgeni Golov

- Related to Bug #37353: always use cached manifest json to find webpack chunks, not only for JS added
